## org.freedesktop.ModemManager1.Modem.Signal org.freedesktop.ModemManager1.Modem.Signal — The ModemManager Signal interface. |

## Methods

    Setup (IN  u rate);

## Properties

    Rate  readable   u
    Cdma  readable   a{sv}
    Evdo  readable   a{sv}
    Gsm   readable   a{sv}
    Umts  readable   a{sv}
    Lte   readable   a{sv}
    Nr5g  readable   a{sv}

## Description

This interface provides access to extended signal quality information.

This interface will only be available once the modem is ready to be registered in the cellular network. 3GPP devices will require a valid unlocked SIM card before any of the features in the interface can be used.

## Method Details

### The Setup() method

    Setup (IN  u rate);

Setup extended signal quality information retrieval.

Since: 1.2

`IN u `rate``: | refresh rate to set, in seconds. 0 to disable retrieval.

## Property Details

### The "Rate" property

    Rate  readable   u

Refresh rate for the extended signal quality information updates, in seconds. A value of 0 disables the retrieval of the values.

Since: 1.2

### The "Cdma" property

    Cdma  readable   a{sv}

Dictionary of available signal information for the CDMA1x access technology.

This dictionary is composed of a string key, with an associated data which contains type-specific information.

`"rssi"` | The CDMA1x RSSI (Received Signal Strength Indication), in dBm, given as a floating point value (signature `"d"`).
`"ecio"` | The CDMA1x Ec/Io, in dBm, given as a floating point value (signature `"d"`).

Since: 1.2

### The "Evdo" property

    Evdo  readable   a{sv}

Dictionary of available signal information for the CDMA EV-DO access technology.

This dictionary is composed of a string key, with an associated data which contains type-specific information.

`"rssi"` | The CDMA EV-DO RSSI (Received Signal Strength Indication), in dBm, given as a floating point value (signature `"d"`).
`"ecio"` | The CDMA EV-DO Ec/Io, in dBm, given as a floating point value (signature `"d"`).
`"sinr"` | CDMA EV-DO SINR level, in dB, given as a floating point value (signature `"d"`).
`"io"` | The CDMA EV-DO Io, in dBm, given as a floating point value (signature `"d"`).

Since: 1.2

### The "Gsm" property

    Gsm  readable   a{sv}

Dictionary of available signal information for the GSM/GPRS access technology.

This dictionary is composed of a string key, with an associated data which contains type-specific information.

`"rssi"` | The GSM RSSI (Received Signal Strength Indication), in dBm, given as a floating point value (signature `"d"`).

Since: 1.2

### The "Umts" property

    Umts  readable   a{sv}

Dictionary of available signal information for the UMTS (WCDMA) access technology.

This dictionary is composed of a string key, with an associated data which contains type-specific information.

`"rssi"` | The UMTS RSSI (Received Signal Strength Indication), in dBm, given as a floating point value (signature `"d"`).
`"rscp"` | The UMTS RSCP (Received Signal Code Power), in dBm, given as a floating point value (signature `"d"`).
`"ecio"` | The UMTS Ec/Io, in dB, given as a floating point value (signature `"d"`).

Since: 1.2

### The "Lte" property

    Lte  readable   a{sv}

Dictionary of available signal information for the LTE access technology.

This dictionary is composed of a string key, with an associated data which contains type-specific information.

`"rssi"` | The LTE RSSI (Received Signal Strength Indication), in dBm, given as a floating point value (signature `"d"`).
`"rsrq"` | The LTE RSRQ (Reference Signal Received Quality), in dB, given as a floating point value (signature `"d"`).
`"rsrp"` | The LTE RSRP (Reference Signal Received Power), in dBm, given as a floating point value (signature `"d"`).
`"snr"` | The LTE S/R ratio, in dB, given as a floating point value (signature `"d"`).

Since: 1.2

### The "Nr5g" property

    Nr5g  readable   a{sv}

Dictionary of available signal information for the 5G access technology.

This dictionary is composed of a string key, with an associated data which contains type-specific information.

`"rsrq"` | The 5G RSRQ (Reference Signal Received Quality), in dB, given as a floating point value (signature `"d"`).
`"rsrp"` | The 5G RSRP (Reference Signal Received Power), in dBm, given as a floating point value (signature `"d"`).
`"snr"` | The 5G S/R ratio, in dB, given as a floating point value (signature `"d"`).

Since: 1.16